メインコンテンツまでスキップ

Subscription Purchase Verification

This API allows you to verify the credibility of a subscription purchase. It is useful for a final verification before delivering the item to the user, ensuring the purchase is correct and preventing fraud. This API does not require authentication.

Endpoint

MethodURL
GEThttps://api.catappult.io/productv2/8.20250505/google/inapp/v3/applications/{packageName}/purchases/subscriptions/{sku}/tokens/{purchaseToken}

Authentication

No authentication required.

Path Parameters

ParameterTypeRequiredDescription
packageNamestringRequiredPackage name of the application.
skustringRequiredThe SKU associated to the purchase.
purchaseTokenstringRequiredPurchase ID defined as token in the Purchase class of the SDK.

Response

StatusDescription
200Success. Returns the subscription purchase details.

Success (200) Response Fields

NameTypeDescription
kindStringType of purchase made.
startTimeMillisStringStart time of the subscription in milliseconds.
expiryTimeMillisStringExpiry time of the subscription in milliseconds.
autoRenewingBooleanSpecifies if the subscription will renew automatically. If true, the subscription remains active and is scheduled to renew on the upcoming billing date. If false, the subscription has been canceled and access will end on the next billing date unless the user restores automatic renewal or completes a manual renewal.
priceCurrencyCodeStringThe price currency, as an ISO 4217 alphabetic code. Example: USD
priceAmountMicrosLongThe price in micro-units (millionths of the price currency). Example: 4990000 (for 4.99)
countryCodeStringCountry code following ISO-3166-1-A2 guidelines. Example: US
developerPayloadStringString-based payload specified by the developer when initiating this purchase.
paymentStateIntState of the payment.
orderIdStringThe order UID (Unique Identifier) used internally in Aptoide.
acknowledgementStateIntState of the acknowledgment.

Example Response

{
"kind": "androidpublisher#subscriptionPurchase",
"startTimeMillis": "1745418985333",
"expiryTimeMillis": "1746023785333",
"autoRenewing": false,
"priceCurrencyCode": "EUR",
"priceAmountMicros": 200000,
"countryCode": "PT",
"developerPayload": "6414c947-47cf-4fcb-bb2c-ac29e58a2d2d",
"paymentState": 1,
"orderId": "JWIR5I5NVI6JMC44",
"acknowledgementState": 1
}

paymentState

ValueTitleDescription
0PendingPayment is still pending.
1ReceivedPayment has been received.

acknowledgementState

ValueTitleDescription
0PendingPurchase is still not acknowledged.
1AcknowledgedPurchase has been acknowledged.